var __doshishaobj = {
  SMARTMAX: 767, // ブレイクポイントを設定
  mode: ''
}
var devicechanged = false;
document.addEventListener('DOMContentLoaded', function () {
  var gnaviButton;
  __doshishaobj.windowSet = function () {
    var windowSize = document.getElementById('doshisha_commonheader_wrapper').clientWidth;
    var nowDevice;
    if (windowSize > __doshishaobj.SMARTMAX) {
      nowDevice = 'pc';
    } else {
      nowDevice = 'smart';
    }
    if (nowDevice != __doshishaobj.mode) {
      __doshishaobj.mode = nowDevice;
      devicechanged = true;
    } else {
      devicechanged = false;
    }
  }
  gnaviButton = new gnaviButtonSet();
  __doshishaobj.windowSet();
  gnaviButton.init();
  window.addEventListener('resize', function () {
    __doshishaobj.windowSet();
    reSizeSet();

    function reSizeSet() {
      if (devicechanged) {
        if (__doshishaobj.mode == 'smart') {
          gnaviButton.init();
        } else {
          gnaviButton.unInit();
        }
      }
    }
  }, false);
}, false);

function gnaviButtonSet() {
  var _this = this;
  var _lnavi = document.getElementById('doshisha_commonheader_globalNaviInner');
  var _lnavibtn = document.getElementById('doshisha_commonheader_globalNaviBtn');
  document.getElementById('doshisha_commonheader_globalNaviBtn').addEventListener('click', function () {
    var _lnaviclone = _lnavi.cloneNode(true);
    _lnavi.parentNode.appendChild(_lnaviclone);
    _lnaviclone.style.cssText = 'display:block; height:auto !important; visibility:hidden;';
    _lnavi.style.height = _lnaviclone.offsetHeight + 'px';
    _lnavi.parentNode.removeChild(_lnaviclone);
    _lnavi.classList.toggle('close');
    _lnavi.addEventListener('transitionend', function () {
      if (_lnavi.classList.contains('close')) {
        _lnavi.style.cssText = 'height:auto;';
        _lnavibtn.classList.remove('open');
      } else {
        _lnavibtn.classList.add('open');
      }
    });
  }, false);
  _this.init = function () {
    if (__doshishaobj.mode == 'smart') {
      _lnavibtn.style.display = 'block';
      _lnavi.classList.add('close');
    }
  }
  _this.unInit = function () {
    _lnavi.setAttribute('style', '');
    _lnavibtn.style.display = 'none';
    _lnavibtn.classList.remove('open');
  }
}